Bug 1479021 - The latest update to python3-yarl has a conflict with python3-aiohttp.
The latest update to python3-yarl has a conflict with python3-aiohttp.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-yarl (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 14:14 EDT by stan
Modified: 2017-12-12 05:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:17:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stan 2017-08-07 14:14:06 EDT
Description of problem:
dnf update of python3-yarl with --best complains that there is a conflict with python3-aiohttp.  See the error below.


Version-Release number of selected component (if applicable):
Name        : python3-yarl
Version     : 0.10.3
Release     : 1.fc25
Architecture: x86_64

How reproducible:
every time

Steps to Reproduce:
1.  have python3-aiohttp and python-yarl installed
2.  try to update python-yarl with dnf --best update python3-yarl
3.

Actual results:
Error: package python3-aiohttp-2.2.0-1.fc25.x86_64 conflicts with python3-yarl >= 0.11 provided by python3-yarl-0.11.0-1.fc25.x86_64

Expected results:
package updates

Additional info:

updated version with problem.
python3-yarl                                                    x86_64                                          0.11.0-1.fc25

python3-aiohttp version.
Name        : python3-aiohttp
Version     : 2.2.0
Release     : 1.fc25
Architecture: x86_64
Comment 1 Fedora End Of Life 2017-11-16 14:11:43 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-12-12 05:17:45 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.